
QGIS Application - Bug report #13939

WMS authorization dialog locks up QGIS

2015-12-02 08:05 AM - marisn -

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21956

Description

Steps to reproduce:

    -  add a WMS server that requires username and password;

    -  do NOT provide user/pass in server configuration dialog;

    -  select a layer and click "add layer";

    -  observe how "enter username and password" dialog comes up, but is not possible to enter any data into it or to close it.

The only way how to get rid of this dialog is to kill QGIS app (with all consequences).

This is a bug coming from a Qt bug that has been fixed for Qt 5.0 but there is no fix for Qt 4.8. Still, as per Qt bugs description, this is a

wrong use of modal dialogs.

https://bugreports.qt.io/browse/QTBUG-27039

https://bugreports.qt.io/browse/QTBUG-27206

QGIS versija 2.13.0-Master

QGIS koda revīzija 25c68c6

Kompilēts priekš Qt 4.8.7

Darbina ar Qt 4.8.7

History

#1 - 2016-01-28 05:45 AM - Saber Razmjooei

- Category set to Web Services clients/WMS

#2 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
